job("school-deployment-to-pcf") {
    
    scm {
        git {
            remote {
                url 'https://github.com/gajendrularamarao/school.git'
              }
             branch("master")
             extensions {
                wipeOutWorkspace()
              }
         }
    }
  
  triggers {
        githubPush()
    }
    steps {
        gradle('clean build')
    }

  steps{
  pushToCloudFoundry(
  target: 'https://api.run.pivotal.io',
  organization: 'org-school',
  cloudSpace: 'development',
  credentialsId: 'rgajendrula@nisum.com',
  manifestChoice: [manifestFile: 'manifest.yml']
 )
  }
}